Scriptname zz01scrptTimedGoodsHarvest extends ObjectReference 
;
;This script is for milking cows
;==============================================================

Import Game
Import Utility
Import Debug
Import Math

Potion Property ItemPotion Auto
{Add potion here}

ingredient property ItemIng auto
{Add ingredient here}

String Property DaystoWait Auto
{Select amount of days to wait between collections, e.g 1.00, 2.00 etc.}

Int Property HowManyPotPer Auto
{Seleect amount of potions to be gained per collections, e.g, 1, 2, etc.}

Int Property HowManyIngPer Auto
{Seleect amount of ingredients to be gained per collections, e.g, 1, 2, etc.}

String property FailureMessage auto
{Message that appears when you have already collected in this time period}

String property WhatPotUGot auto
{Message that tells the player what potion was collected}

String property WhatIngUGot auto
{Message that tells the player what ingredient was collected}

float property lastHarvestedDay auto Hidden
{the game day this was last successfuly harvested, used to know when to respawn}

sound property CollectionSound auto
{Sounds played on collection of item}

Int AlreadyCollected = 0

;===================================================================
;;STATE BLOCK
;===================================================================

auto state readyForHarvest
	event onActivate(objectReference akActivator)
		goToState("waitingToRespawn")
		fakeHarvest(akActivator)
	endEvent
endState

state waitingToRespawn
	event onBeginState()
		lastHarvestedDay = utility.getCurrentGameTime()
	endEvent

	event onActivate(objectReference akActivator)
		Notification(FailureMessage)
	endEvent

	event onCellLoad()
		Utility.Wait(1.00)
		if (lastHarvestedDay + DaystoWait) <= utility.getCurrentGameTime()
			goToState("readyForHarvest")
			AlreadyCollected = 0
		endif
	endEvent
endState

;===================================================================
;;FUNCTION BLOCK
;===================================================================


function fakeHarvest(objectReference akActivator)

	if (akActivator as actor)
Actor Player = Game.GetPlayer()
If ItemPotion
Player.AddItem(ItemPotion, HowManyPotPer, true)
Notification(HowManyPotPer + " " + WhatPotUGot + " Added")
EndIf
If ItemIng
Player.AddItem(ItemIng, HowManyIngPer, true)
Notification(HowManyIngPer + " " + WhatIngUGot + " Added")
EndIf
CollectionSound.play(self)
AlreadyCollected = 1
EndIf

endFunction

